// Microsoft-defined input scope constants
const IS_DEFAULT                        = 0;
const IS_URL                            = 1;
const IS_FILE_FULLFILEPATH              = 2;
const IS_FILE_FILENAME                  = 3;
const IS_EMAIL_USERNAME                 = 4;
const IS_EMAIL_SMTPEMAILADDRESS         = 5;
const IS_LOGINNAME                      = 6;
const IS_PERSONALNAME_FULLNAME          = 7;
const IS_PERSONALNAME_PREFIX            = 8;
const IS_PERSONALNAME_GIVENNAME         = 9;
const IS_PERSONALNAME_MIDDLENAME        = 10;
const IS_PERSONALNAME_SURNAME           = 11;
const IS_PERSONALNAME_SUFFIX            = 12;
const IS_ADDRESS_FULLPOSTALADDRESS      = 13;
const IS_ADDRESS_POSTALCODE             = 14;
const IS_ADDRESS_STREET                 = 15;
const IS_ADDRESS_STATEORPROVINCE        = 16;
const IS_ADDRESS_CITY                   = 17;
const IS_ADDRESS_COUNTRYNAME            = 18;
const IS_ADDRESS_COUNTRYSHORTNAME       = 19;
const IS_CURRENCY_AMOUNTANDSYMBOL       = 20;
const IS_CURRENCY_AMOUNT                = 21;
const IS_DATE_FULLDATE                  = 22;
const IS_DATE_MONTH                     = 23;
const IS_DATE_DAY                       = 24;
const IS_DATE_YEAR                      = 25;
const IS_DATE_MONTHNAME                 = 26;
const IS_DATE_DAYNAME                   = 27;
const IS_DIGITS                         = 28;
const IS_NUMBER                         = 29;
const IS_ONECHAR                        = 30;
const IS_PASSWORD                       = 31;
const IS_TELEPHONE_FULLTELEPHONENUMBER  = 32;
const IS_TELEPHONE_COUNTRYCODE          = 33;
const IS_TELEPHONE_AREACODE             = 34;
const IS_TELEPHONE_LOCALNUMBER          = 35;
const IS_TIME_FULLTIME                  = 36;
const IS_TIME_HOUR                      = 37;
const IS_TIME_MINORSEC                  = 38;
const IS_NUMBER_FULLWIDTH               = 39;
const IS_ALPHANUMERIC_HALFWIDTH         = 40;
const IS_ALPHANUMERIC_FULLWIDTH         = 41;
const IS_CURRENCY_CHINESE               = 42;
const IS_BOPOMOFO                       = 43;
const IS_HIRAGANA                       = 44;
const IS_KATAKANA_HALFWIDTH             = 45;
const IS_KATAKANA_FULLWIDTH             = 46;
const IS_HANJA                          = 47;


//Matching rules (regular expressions)
var tipGlobalMatches = [
	{ pattern:/url/, 
		code:IS_URL },
	{ pattern:/email|addresscol2/, 
		code:IS_EMAIL_SMTPEMAILADDRESS },
	{ pattern:/addresscol2|name|first|last|middle|suffix/, 
		code:IS_PERSONALNAME_FULLNAME },
	{ pattern:/username|login|userid/, 
		code:IS_LOGINNAME },
	{ pattern:/phone|fax|areacode|prefix|suffix/, 
		code:IS_TELEPHONE_FULLTELEPHONENUMBER },
	{ pattern:/zip|postal|street|state|city|country|addr/, 			
		code:IS_ADDRESS_FULLPOSTALADDRESS },
	{ pattern:/num/, 		
		code:IS_NUMBER },
	{ pattern:/day|month|year|date/, 			
		code:IS_DATE_FULLDATE },
	{ pattern:/password/, 		
		code:IS_PASSWORD },
	{ pattern:/amount/, 		
		code:IS_CURRENCY_AMOUNT },
	{ pattern:/time/, 			
		code:IS_TIME_FULLTIME }
];

