// This is the GeckoTIP pattern matches file.
//
// Below is a Javascript array of patterns and their corresponding input scope codes.
//
// The patterns are Regular Expressions. They are used to search the website text 
// associated to a given input field in order to guess the proper input scope. 
// For more information on Regular Expression syntax and what they are, see:
// http://developer.mozilla.org/en/docs/Core_JavaScript_1.5_Guide:Regular_Expressions
//
// To use non-ASCII characters in your Regular Expressions you will need to use "\uXXXX"
// style Unicode character encodings in place of each special character. To look up the 
// encoding for a character, see:
// http://www.fileformat.info/info/unicode/char/search.htm
//
// The codes are constants defined by Microsoft that represent special TIP Input Scopes. 
// For information about and a complete list of Microsoft's TIP input scope constants, see:
// http://msdn.microsoft.com/library/default.asp?url=/library/en-us/tpcsdk10/lonestar/inkconcepts/setinputscopefunction.asp
//
var tipMatches = [
	{ pattern:/url/, 
		code:IS_URL },
	{ pattern:/email|addresscol2/, 
		code:IS_EMAIL_SMTPEMAILADDRESS },
	{ pattern:/addresscol2|name|first|last|middle|suffix/, 
		code:IS_PERSONALNAME_FULLNAME },
	{ pattern:/username|login|userid/, 
		code:IS_LOGINNAME },
	{ pattern:/phone|fax|areacode|prefix|suffix/, 
		code:IS_TELEPHONE_FULLTELEPHONENUMBER },
	{ pattern:/zip|postal|street|state|city|country|addr/, 			
		code:IS_ADDRESS_FULLPOSTALADDRESS },
	{ pattern:/num/, 		
		code:IS_NUMBER },
	{ pattern:/day|month|year|date/, 			
		code:IS_DATE_FULLDATE },
	{ pattern:/password/, 		
		code:IS_PASSWORD },
	{ pattern:/amount/, 		
		code:IS_CURRENCY_AMOUNT },
	{ pattern:/time/, 			
		code:IS_TIME_FULLTIME }
];
